


/* ==========================================================================
Post Meta Box - Author & Post Meta
========================================================================== */

.post__meta {
  font-size: 15px;
  margin: 1rem 0;
}

/* author */
.post__meta-author-img {
  border-radius: 50%;
  margin-right: 1.1em;
  overflow:hidden;
}

.post__meta-author-name {
  display: inline-block;
  font-size: 1em;
  margin-bottom: .25em;
  padding-bottom: .1em;
  position: relative;
}

.post__meta-author-name:after {
  content: '';
  background-color: rgb(var(--color-primary));
  transform: scaleX(0);
  transform-origin: 0 0;
  transition: transform .2s ease-out;
  display: block;
  position: absolute;
  width:100%;
  height:2px;
  
  
  bottom:0;
  left:0;

}

/* time meta */
.post__meta-read-time {
  border-left: 2px solid rgb(var(--color-secondary));
  padding-left: calc(6px + .5em);
  margin-left: .5em;
  text-indent: 5px;
}

.post__meta-author-name:hover::after {
  transform: scaleX(1);
}

.post__meta-times {
  font-size: .85em;
}

.post__meta-read-time svg {
  height: 16px;
  transform: translateY(-9%);
}

/* links */
.post__meta a {
  text-decoration: none;
}


/* ==========================================================================
Blog Post                                                  
========================================================================== */

.post__container {
  max-width: 860px!important;
  margin: auto;
  padding-top: 0!important;
}

.post__title {
  margin: 0 0 .5em;
}

/* post body */
/* standardize heading styles */
body .body-container h1:not(.post__title),
body .body-container h2,
body .body-container h3,
body .body-container h4,
body .body-container h5,
body .body-container h6,
body .body-container a,
body .body-container ul li,
  color:rgba(34, 34, 34, 1);
}
body .body-container h1:not(.post__title) *,
body .body-container h2 *,
body .body-container h3 *,
body .body-container h4 *,
body .body-container h5 *,
body .body-container h6 *{
  color:rgba(34, 34, 34, 1);
  
}

body .body-container h1 *,
body .body-container h2 *,
body .body-container h3 *{
  font-weight:700;
}

body .body-container h4 *,
body .body-container h5 *,
body .body-container h6 *{
  font-weight:600;
}
body .body-container h1 {
    font-size: 56px!important;
    font-weight: 700;
    line-height: 56px
}

body .body-container h2 {
    font-size: 36px!important;
    font-weight: 700;
    line-height: 40px;
    margin-top: 20px !important;
}

body .body-container h3 {
    font-size: 32px!important;
    font-weight: 700;
    line-height: 36px;
    margin-top: 20px !important;
}

body .body-container h4 {
    font-size: 26px!important;
    font-weight: 600;
    line-height: 26px;
    margin-top: 20px !important;
}

body .body-container h5 {
    font-size: 22px!important;
    font-weight: 600;
    line-height: 22px;
    margin-top: 20px !important;
}

body .body-container h6 {
    font-size: 19px!important;
    font-weight: 600;
    line-height: 20px;
    margin-top: 20px !important;
}

/* chips 8-11-2025 */
.blog.blog-post .body-container {
  background: #fcf9f0;
  border-bottom: 3px solid #002135;
}

.blog.blog-post .body-container .post__body {
  padding: 4rem 0;
  color: #002135;
}

.blog.blog-post .body-container .post__body .container.post__container {
  max-width: var(--site-width) !important;
  padding: 0 var(--site-gutter) !important;
}

.blog.blog-post .body-container .post__body .container.post__container .post__author-box {
  display: none;
}
/* END chips 8-11-2025 */

/* CHIPS 08-11-2025
@media 
  (min-width: 37.5em )
 {
  .post__body {
    padding: 4em 0;
  }
}
*/
#hs_cos_wrapper_post_body h2:first-of-type,
#hs_cos_wrapper_post_body h3:first-of-type,
#hs_cos_wrapper_post_body p:first-of-type,
#hs_cos_wrapper_post_body ul:first-of-type,
#hs_cos_wrapper_post_body ol:first-of-type,
#hs_cos_wrapper_post_body img:first-of-type,
#hs_cos_wrapper_post_body div:first-of-type {
  margin-top: 0;
}

/* tables */

.post__body .table-wrap { 
  border-radius: 6px;
  box-shadow: 0 8px 15px -5px rgba(0,0,0,.2);
  margin-top: 2em; 
  margin-bottom: 2em; 
  overflow-x: auto; 
}

.post__body .table-wrap + h2, 
.post__body .table-wrap + h3 { 
  margin-top: 1.7em; 
}

.post__body table { 
  background-color: #f6f6f6; 
  border-collapse: collapse; 
  font-size: 16px; 
  /*   margin top is added incase someone has js turned off, otherwise, it is on the .table-wrap element */
  margin-top: 2em; 
  margin-bottom: 2em; 
  width: 100%; 
}

.post__body .table-wrap table {
  margin-top: 0; 
  margin-bottom: 0; 
}

.post__body table caption {
  background-color: rgb(var(--color-secondary));
  caption-side: bottom;
  color: rgb(var(--color-secondary-contrast));
  padding: 1em;
}

.post__body table thead th {
  background-color: rgb(var(--color-primary));
  color: rgb(var(--color-primary-contrast));
  white-space: nowrap;
}

.post__body table tr:nth-child(odd) { 
  background-color: #fff; 
}

.post__body table td,
.post__body table th { 
  padding: 1.1em .75rem;
  text-align: inherit;
}

.post__body table h1, 
.post__body table h2, 
.post__body table h3, 
.post__body table h4, 
.post__body table h5, 
.post__body table h6 { 
  font-size: 1.2em; 
  margin-bottom: 0; 
  white-space: nowrap; 
}

.post__subscribe-form {
  --form-bg-color: var(--color-light);
  --form-foreground-color: var(--color-text-dark);
  --form-fields-bg-color: var(--color-white);
  padding: 1.5rem;
  background: rgb(var(--color-light));
  display: block;
  border-radius: 3px;
}

.post-header{padding-top:0px !important;}
.post-header__content{max-width:1400px !important;padding:100px 15px !important;}
.post-header__area{background:#002135;}
.post-header__area .post__meta *{color:#fff !important;}
.post-header__area .post__title{color:#fff;font-weight:600;font-size: 4vw;
    line-height: 1;}
.post__container {
  max-width: 1200px !important;}
.post__container h1{margin-bottom:20px;}

/* chips 8-11-2025 */
.post__container h1 {
  margin-bottom: .3em;
  line-height: 1;
  font-weight: 300;
}

.post__container h2 {
  margin-top: 2em !important;
  margin-bottom: 0.5em !important;
  line-height: 1;
  font-weight: 700;
}

.post__container h3 {
  margin-top: 1.8em !important;
  margin-bottom: .5em !important; 
}

.post__container h4 {
  margin-top: 1.25em !important;
  margin-bottom: .25em !important;
}

.post__container h5 {
  margin-top: 3em !important;
  margin-bottom: .25em !important;
}

.post__container p {
  margin-top: 0;
}

@media (min-width: 1025px) {
  .post__container h1 {
    font-size: clamp(3.13rem, 1.58rem + 3.478vw, 4rem);
  }
  
  .post__body h2 {
    font-size: clamp(3.043rem, 1.493rem + 3.478vw, 3.913rem) !important;
  }
  
  .post__body h3 {
    font-size: clamp(2.98rem, 1.58rem + 3.478vw, 3.08rem) !important;
  }
  
  .post__body h4 {
    font-size: clamp(1.35rem, 1.58rem + 3.478vw, 1.78rem) !important;
  }
  
  .post__body h5 {
    font-size: clamp(.95rem, 1.58rem + 3.478vw, 1.65rem) !important;
  }
}

@media (max-width: 1024px) {
  .post__container h1 {
    font-size: clamp(2rem, 1.694rem + 1.300vw, 3.000rem);
  }
  
  .post__body h2 {
    font-size: clamp(1.7rem, 1.452rem + 1.100vw, 2.565rem) !important;
  }

  .post__body h3 {
    font-size: clamp(1.3rem, 1.58rem + 3.478vw, 2.18rem) !important;
  }
  
  .post__body h4 {
    font-size: clamp(1.13rem, 1.58rem + 3.478vw, 1.29rem) !important;
  }
  
  .post__body h5 {
    font-size: clamp(.83rem, 1.58rem + 3.478vw, 1.09rem) !important;
  }
}
/* END chips 8-11-2025 */